export declare enum EFieldTypes {
    TEXT = "text",
    NUMBER = "number",
    SWITCH = "switch",
    DATE = "date",
    DATE_RANGE = "dateRange",
    AUTOCOMPLETE = "autoComplete",
    FILE = "file",
    ARRAY = "array",
    MOBILE_PHONE = "mobilePhone",
    MULTIPLE_AUTOCOMPLETE = "autoCompleteMultiple",
    RADIOBUTTON = "radioButton",
    EMPTY = "empty"
}
export declare enum ESelectTypes {
    COUNTRIES = "countries"
}
export interface IOption {
    id: number;
    label: string;
    value: any;
}
export type GridSize = 'auto' | number;
interface RegularBreakpoints {
    lg?: boolean | GridSize;
    md?: boolean | GridSize;
    sm?: boolean | GridSize;
    xl?: boolean | GridSize;
    xs?: boolean | GridSize;
}
export interface IFormField {
    type: EFieldTypes;
    nestedFields?: Array<IFormField>;
    options?: Array<IOption>;
    fieldName: string;
    placeholder: string;
    multiline?: boolean;
    disabled?: boolean | string;
    required?: boolean | string;
    backendOptions?: boolean;
    backendSelectType?: ESelectTypes;
    renderCondition?: string;
    disableFuture?: boolean;
    disablePast?: boolean;
    initialValue?: any;
    fieldTitle?: string;
    filedSubtitle?: string;
    helperText?: string;
    grid?: RegularBreakpoints;
}
export interface IFormGroup {
    title?: string;
    subtitle?: string;
    children: Array<IFormField>;
}
export interface IForm {
    validationObject: any;
    children: Array<IFormField | IFormGroup>;
    submitButtonText: string;
    cancelButtonText?: string;
}
export interface IValidationError {
    translationKey: string;
    fallbackLanguageTranslation: string;
    meta: {
        [key: string]: any;
    };
}
export interface IValidationErrorField {
    property: string;
    constraints: {
        [key: string]: IValidationError;
    };
}
export interface IValidationErrors {
    [key: string]: IValidationErrorField;
}
export {};
