// Desc: Configs for the translation that is used in the validation messages
export const translatesConfig = {
  required: 'validation.required',
  min: 'validation.min',
  max: 'validation.max',
  maxLength: 'validation.max_length',
  minLength: 'validation.min_length',
  pattern: 'validation.pattern',
  format: 'validation.format',
  email: 'validation.email',
  minDate: 'validation.min_date',
  maxDate: 'validation.max_date',
  wrongRange: 'validation.wrong_range',
  wrongDate: 'validation.wrong_range',
  trim: 'validation.trim',
  oneOf: 'validation.one_of',
};

// Desc: Enum for the validation error types
export enum EValidationTypes {
  required = 'required',
  min = 'min',
  max = 'max',
  oneOf = 'oneOf',
  maxLength = 'maxLength',
  minLength = 'minLength',
  pattern = 'pattern',
  format = 'format',
  minDate = 'minDate',
  maxDate = 'maxDate',
  wrongRange = 'wrongRange',
  wrongDate = 'wrongDate',
  trim = 'trim',
}
